commit:     3267267d23e032d5524eac9629bb9a842b9de748
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 28 17:07:15 2020 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Fri Aug 28 17:07:29 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3267267d

sys-libs/blocksruntime: optionally install static libs

Reported-by: Agostino Sarubbo
Closes: https://bugs.gentoo.org/739396
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 sys-libs/blocksruntime/blocksruntime-0_pre20171027.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sys-libs/blocksruntime/blocksruntime-0_pre20171027.ebuild 
b/sys-libs/blocksruntime/blocksruntime-0_pre20171027.ebuild
index cf596b31660..a855b832dba 100644
--- a/sys-libs/blocksruntime/blocksruntime-0_pre20171027.ebuild
+++ b/sys-libs/blocksruntime/blocksruntime-0_pre20171027.ebuild
@@ -14,7 +14,7 @@ 
SRC_URI="https://github.com/mackyle/blocksruntime/archive/${COMMIT}.tar.gz -> ${
 LICENSE="Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="static-libs"
 
 RDEPEND=""
 DEPEND="${RDEPEND}"
@@ -37,5 +37,5 @@ src_install() {
        prefix="${EPREFIX}/usr" \
        libdir="${EPREFIX}/usr/$(get_libdir)" \
        DESTDIR="${D}" \
-               ./installlib || die
+               ./installlib $(use static-libs || echo -shared) || die
 }

Reply via email to